## biojava-live 1.7.1

=== debian/changelog ===
biojava-live (1:1.7.1-9) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 04 Jan 2021 16:42:13 +0100

biojava-live (1:1.7.1-8.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 14:54:14 +0100

biojava-live (1:1.7.1-8) unstable; urgency=medium

  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/rules
  * Set release to 8 since CORBA classes are removed in Java 11, and no
    replacement available in Debian (Closes: #912643)

 -- Andreas Tille <tille@debian.org>  Thu, 01 Nov 2018 07:10:52 +0100

biojava-live (1:1.7.1-7) unstable; urgency=medium

  * Remove leftover of debhelper migration from d/rules
    Closes: #870060
  * debhelper 11
  * Standards-Version: 4.1.3

 -- Andreas Tille <tille@debian.org>  Tue, 23 Jan 2018 14:19:01 +0100

biojava-live (1:1.7.1-6) unstable; urgency=medium

  * Moved packaging to Git
  * cme fix dpkg-control
  * Replace cdbs variables by those provided by /usr/share/dpkg/default.mk
  * d/rules: use dh
  * Move debian/upstream to debian/upstream/metadata
  * DEP5 issues
  * debhelper 10
  * make build reproducible
    Closes: #859958

 -- Andreas Tille <tille@debian.org>  Tue, 26 Sep 2017 11:43:41 +0200

biojava-live (1:1.7.1-5) unstable; urgency=medium

  * d/control: use libcommons-collections3 instead of
        libcommons-collection in runtime deps (Closes: #748473).

 -- Olivier Sallou <osallou@debian.org>  Tue, 20 May 2014 15:03:23 +0200

biojava-live (1:1.7.1-4) unstable; urgency=low

  [ Andreas Tille ]
  * debian/upstream:
     - Author conform to BibTeX syntax
     - Add eprint

  [ Olivier Sallou ]
  * Fix watch file to follow biojava v1, not v3

 -- Olivier Sallou <osallou@debian.org>  Fri, 31 Jan 2014 21:49:37 +0100

biojava-live (1:1.7.1-3) unstable; urgency=low

  * Use libcommons-collections3-java instead of libcommons-collections-java

 -- Olivier Sallou <osallou@debian.org>  Tue, 10 Sep 2013 09:39:36 +0200

biojava-live (1:1.7.1-2) unstable; urgency=low

  [ Jari Aalto ]
  * Remove quilt and upgrade to packaging format "3.0 quilt" which
    includes patch management built-in.
  * Update buildxml.patch to DEP-3 and run "quilt refresh" to make it
    apply cleanly.
  * Update to Standards-Version to 3.9.3 (no changes needed) and debhelper 9.
  * Update obsolete depends default-jdk-builddep to default-jdk.
    Closes: #669122
  * Fix wrong-section-according-to-package-name (Lintian) by changing
    section from science to java.
  * Fix needless-dependency-on-jre (Lintian) by removing jre dependencies.
  * Fix duplicate-short-description (Lintian).
  * Fix extended-description-is-probably-too-short (Lintian).

  [ Andreas Tille ]
  * debian/control:
    - Short-Desc: Java 1.7 API is missleading regarding JDK version - rather
      add the version at the end and declare the version-less metapackage as
      default version
    - Dropped default-jre-headless from Depends according to Java policy
    - Fixed Vcs fields
  * debian/watch: enable detecting new versions
  * debian/{control,upstream}: Moved citations from long description to
    upstream file
  * libbiojava*.lintian: removed because now useless
  * debian/compat: 9
  * debian/copyright: Rewritten to be compliant with DEP5 and verified
    using `cme fix dpkg-copyright`
  * debian/rules: s/dh_clean -k/dh_prep/

 -- Andreas Tille <tille@debian.org>  Wed, 18 Apr 2012 08:50:31 +0200

biojava-live (1:1.7.1-1) unstable; urgency=low

  * New upstream version.
  * New epoch
     - because of an unfortunate versioning of previous upload
     - to indicate the now happening BioJava Hackathon in Cambridge, UK

 -- Steffen Moeller <moeller@debian.org>  Wed, 20 Jan 2010 02:08:17 +0100

biojava-live (1.7.svn.20090419-3) unstable; urgency=low

  * debian/control:
     - Conflicts: libbiojava1.6-java
     - Replaces: libbiojava1.6-java
     - Enhanced long description of libbiojava-java-doc
       Closes: #522269
  * debian/rules: set JAVA_HOME to enable proper clean target

 -- Andreas Tille <tille@debian.org>  Fri, 26 Jun 2009 10:01:10 +0200

biojava-live (1.7.svn.20090419-2) unstable; urgency=low

  * Add Build Depends: ant-optional
    Closes: #533896
  * Standards-Version: 3.8.2 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Mon, 22 Jun 2009 09:32:20 +0200

biojava-live (1.7.svn.20090419-1) unstable; urgency=low

  * New upstream version, addressing structures.
  * Removed dependency on libjgrapht, so biojava can go to main.
  * Conformance to 3.8.1 (no changes required).

 -- Steffen Moeller <moeller@debian.org>  Sun, 19 Apr 2009 18:30:54 +0200

biojava-live (1.6.1.svn.20090306-1) experimental; urgency=low

  [ Andreas Tille ]
  * Initial release (Closes:#491025).

  [ Steffen Moeller ]
  * Added dependency to quilt.
  * Moved -doc to section doc.
  * Added symlinks to jar file with pseudo-soname
  * Need to be placed in contrib section as a start because of dependency
    to libjgrapht that is still in contrib.

 -- Andreas Tille <tille@debian.org>  Mon, 09 Mar 2009 13:50:45 +0100

biojava-live (1.6.0.svn.20080716-1) UNRELEASED; urgency=low

  * Renamed to biojava-live in analogy to upstream's name
    and to keep the opportunity to add a biojava meta package
    later on.
  * License issue fixed that led to previous rejection of biojava.

 -- Steffen Moeller <moeller@debian.org>  Sun, 13 Jul 2008 15:56:27 +0200

biojava (1.5-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Steffen Moeller <moeller@debian.org>  Tue, 03 Jul 2007 01:51:06 +0200
