=== debian/control ===
Source: biojava-live
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>,
           Olivier Sallou <osallou@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 13),
               ant
Build-Depends-Indep: libcommons-dbcp-java,
                     libhsqldb-java,
                     libcommons-collections3-java,
                     libcommons-pool-java,
                     libbytecode-java,
                     default-jdk,
                     junit4,
                     ant-optional
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/biojava-live
Vcs-Git: https://salsa.debian.org/med-team/biojava-live.git
Homepage: http://www.biojava.org
Rules-Requires-Root: no

Package: libbiojava1.7-java
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libcommons-pool-java,
         libcommons-collections3-java,
         libcommons-dbcp-java,
         libhsqldb-java,
         libbytecode-java
Suggests: java-virtual-machine,
          libjgrapht-java,
          libbiojava-java,
          libbiojava-java-doc
Conflicts: libbiojava1.6-java
Replaces: libbiojava1.6-java
Description: Java API to biological data and applications (version 1.7)
 This package presents the Open Source Java API to biological databases
 and a series of mostly sequence-based algorithms. The APIs are not
 compatible between versions. In analogy to the dealing with shared
 libraries of the C language, the jar file of this package has the
 API version in its name. It is symbolically linked to the expected
 biojava.jar filename in the package libbiojava-java. This will help
 keeping multiple versions of the biojava API in parallel.

Package: libbiojava-java
Architecture: all
Depends: libbiojava1.7-java,
         ${misc:Depends}
Conflicts: libbiojava1.6-java
Replaces: libbiojava1.6-java
Description: Java API to biological data and applications (default version)
 BioJava is an open-source project dedicated to providing a Java framework
 for processing biological data. It includes objects for manipulating
 sequences, file parsers, DAS client and server support, access to BioSQL
 and Ensembl databases, and powerful analysis and statistical routines
 including a dynamic programming toolkit.
 .
 BioJava is provided by a vibrant community which meets annually at
 the Bioinformatics Open Source Conference (BOSC) that traditionally
 accompanies the Intelligent Systems in Molecular Biology (ISMB)
 meeting. Much like BioPerl, the employment of this library is valuable
 for everybody active in the field because of the many tricks of the
 trade one learns just by communicating on the mailing list.
 .
 This is a wrapper package which should enable smooth upgrades to new
 versions.

Package: libbiojava-java-demos
Architecture: all
Depends: ${misc:Depends}
Recommends: libbiojava-java
Description: Example programs for BioJava
 The package comes with a wealth of use cases for BioJava. It is generated
 together with the API documentation but because of its size of ~3.7MB it
 was decided to distribute it separately.

Package: libbiojava-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: konqueror|html-browser
Suggests: libbiojava-java-demos,
          libbiojava-java
Description: [Biology] Documentation for BioJava
 BioJava is an open-source project dedicated to providing a Java framework
 for processing biological data.
 .
 This package contains the HTML documentation describing the API of BioJava
 which was generated automatically by JavaDoc.
