=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# include series of variables to become more version-independent
# in this debian/rules file.
include /usr/share/dpkg/default.mk

export JAVA_HOME=/usr/lib/jvm/default-java

# version are the first two decimals
SOVERSION=$(shell echo $(DEB_VERSION_UPSTREAM) | cut -f1,2 -d. )

%:
	dh $@

override_dh_auto_build:
	find . -name "*.java" -o -name ReadMe -o -name "*.fa" -o -name "*.html" | xargs -r chmod 644
	# circumvent Debian's difficulties with libjgrapht - deleting all usage of that library
	rm -rf src/org/biojavax/bio/phylo/io/nexus/ \
	       src/org/biojavax/bio/phylo/DistanceBasedTreeMethod.java \
	       src/org/biojavax/bio/phylo/ParsimonyTreeMethod.java

	dh_auto_build
	# Add here commands to compile the package.
	ANT_OPTS="-Xms1024m -Xmx1024m" ant package-biojava
	#ant compile-demos
	ant javadocs-biojava

	touch build-stamp

override_dh_clean:
	ant clean # most probably this is not needed when using dh - leave it to be sure ...
	dh_clean

override_dh_install:
	dh_install

	cp ant-build/biojava.jar $(CURDIR)/debian/libbiojava$(SOVERSION)-java/usr/share/java/biojava$(DEB_VERSION_UPSTREAM).jar
	d=$(CURDIR)/debian/libbiojava-java-doc/usr/share/doc/libbiojava-java/api; \
	[ -d $$d ] || mkdir -p $$d ; \
	cp -r ant-build/docs/biojava/* $$d
	for i in $(CURDIR)/debian/libbiojava-java*; do \
		if [ -d "$i" ]; then \
			find $i -name ".svn" | xargs -r rm -r ;	 \
		fi ; \
	done

	ant runtests

override_dh_installexamples:
	dh_installexamples
	dh_installexamples -plibbiojava-java-demos demos/*

override_dh_link:
	dh_link -p libbiojava-java /usr/share/java/biojava$(DEB_VERSION_UPSTREAM).jar /usr/share/java/biojava.jar
	# thinking about svn snapshots
	if [ "$(SOVERSION)" != "$(DEB_VERSION_UPSTREAM)" ]; then \
		dh_link -p libbiojava$(SOVERSION)-java \
			   /usr/share/java/biojava$(DEB_VERSION_UPSTREAM).jar \
			   /usr/share/java/biojava$(SOVERSION).jar; \
	fi
	dh_link # use <pkg>.link files for version independant linking


get-orig-source:
	version=$(DEB_VERSION_UPSTREAM).svn.`date +"%Y%m%d"|tr -d '\n'` ; \
	targetdir=biojava-live-$$version ; \
	origtargz=biojava-live_$$version.orig.tar.gz ; \
	cd .. ; \
	svn co svn://code.open-bio.org/biojava/biojava-live/trunk $$targetdir ; \
	find $$targetdir -name ".svn" | xargs -r rm -r ; \
	find $$targetdir -name "*.jar" | xargs -r rm  ; \
	tar czf $$origtargz $$targetdir ; \
	rm -rf $$targetdir
