## biojava-live 1.9.5+dfsg

=== debian/changelog ===
biojava-live (1:1.9.5+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Removed the dependency on libcommons-dbcp-java-doc

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 12 May 2023 11:09:08 +0200

biojava-live (1:1.9.5+dfsg-2) unstable; urgency=medium

  * Upload to unstable to start transition from libbiojava1.7-java to
    libbiojava1.9-java

 -- Pierre Gruet <pgt@debian.org>  Mon, 11 Apr 2022 11:14:50 +0200

biojava-live (1:1.9.5+dfsg-1) experimental; urgency=medium

  * New upstream version 1.9.5+dfsg
  * Building new libbiojava1.9-java package, replacing and conflicting with
    libbiojava1.7-java
  * Removing obsolete get-orig-source target in d/rules
  * Files previously installed as docs in the lib package have been removed
    by upstream
  * Refreshing d/copyright
  * Setting myself as uploader
  * Raising Standards version to 4.6.0 (no change)
  * Now using Maven to perform the build, following upstream
  * Providing Bug and Repository fields in d/u/metadata
  * Stripping d/rules of obsolete contents now that we use Maven
  * Refreshing the list of (build-)dependencies and setting it up for Maven
  * Installing the javadoc built by Maven and altering paths accordingly
  * Removing obsolete d/*.dirs files
  * Removing urchinTracker() in the javadoc to enhance privacy
  * Filling in the classpath for the built jars
  * Excluding tests with problematic data
  * Use secure URI in Homepage field.
  * Marking the doc package as Multi-Arch: foreign
  * Removing files under non-free SWISS-PROT license, thanks to
    Thorsten Alteholz for pointing this out
  * Skipping two tests relying on removed files with non-free license

 -- Pierre Gruet <pgt@debian.org>  Fri, 08 Apr 2022 21:21:13 +0200
