=== debian/control ===
Source: biojava-live
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>,
           Olivier Sallou <osallou@debian.org>,
           Pierre Gruet <pgt@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 13),
               maven-debian-helper
Build-Depends-Indep: default-jdk,
                     junit4 <!nocheck>,
                     libcommons-dbcp-java,
                     libjaxb-api-java,
                     libjgrapht0.8-java,
                     libjgrapht0.8-java-doc,
                     libmaven-javadoc-plugin-java,
                     libxerces2-java
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/biojava-live
Vcs-Git: https://salsa.debian.org/med-team/biojava-live.git
Homepage: https://www.biojava.org
Rules-Requires-Root: no

Package: libbiojava1.9-java
Architecture: all
Depends: ${misc:Depends},
         ${maven:Depends}
Suggests: libbiojava-java,
          libbiojava-java-doc,
          ${maven:OptionalDepends}
Conflicts: libbiojava1.7-java
Replaces: libbiojava1.7-java
Description: Java API to biological data and applications (version 1.9)
 This package presents the Open Source Java API to biological databases
 and a series of mostly sequence-based algorithms. The APIs are not
 compatible between versions. In analogy to the dealing with shared
 libraries of the C language, the jar file of this package has the
 API version in its name. It is symbolically linked to the expected
 biojava.jar filename in the package libbiojava-java. This will help
 keeping multiple versions of the biojava API in parallel.

Package: libbiojava-java
Architecture: all
Depends: libbiojava1.9-java,
         ${misc:Depends}
Conflicts: libbiojava1.7-java
Replaces: libbiojava1.7-java
Description: Java API to biological data and applications (default version)
 BioJava is an open-source project dedicated to providing a Java framework
 for processing biological data. It includes objects for manipulating
 sequences, file parsers, DAS client and server support, access to BioSQL
 and Ensembl databases, and powerful analysis and statistical routines
 including a dynamic programming toolkit.
 .
 BioJava is provided by a vibrant community which meets annually at
 the Bioinformatics Open Source Conference (BOSC) that traditionally
 accompanies the Intelligent Systems in Molecular Biology (ISMB)
 meeting. Much like BioPerl, the employment of this library is valuable
 for everybody active in the field because of the many tricks of the
 trade one learns just by communicating on the mailing list.
 .
 This is a dependency package which should enable smooth upgrades to new
 versions.

Package: libbiojava-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${maven:DocDepends}
Suggests: libbiojava-java,
          ${maven:DocOptionalDepends}
Multi-Arch: foreign
Description: [Biology] Documentation for BioJava
 BioJava is an open-source project dedicated to providing a Java framework
 for processing biological data.
 .
 This package contains the HTML documentation describing the API of BioJava
 which was generated automatically by JavaDoc.
