=== debian/watch ===
version=4

opts="filenamemangle=s/.+\/biojava-legacy-(\d\S*)\.tar\.gz/biojava-legacy-$1\.tar\.gz/, \
      repack, repacksuffix=+dfsg, compression=xz, dversionmangle=auto" \
  https://github.com/biojava/biojava-legacy/tags .*/biojava-legacy-(\d\S*)\.tar\.gz
