## biojava-live 1.9.6+dfsg

=== debian/changelog ===
biojava-live (1:1.9.6+dfsg-1) unstable; urgency=medium

  * New upstream version 1.9.6+dfsg
  * Raising Standards version to 4.6.2 (no change)
  * Fixing mismatched Lintian override

 -- Pierre Gruet <pgt@debian.org>  Thu, 29 Jun 2023 22:57:14 +0200
