## biojava-live 1.9.7%2Bdfsg

=== debian/changelog ===
biojava-live (1:1.9.7+dfsg-1) unstable; urgency=medium

  * New upstream version 1.9.7+dfsg

 -- Pierre Gruet <pgt@debian.org>  Wed, 29 Nov 2023 08:09:37 +0100
