=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                      libjgrapht0.8-java-doc,
                      libmaven-javadoc-plugin-java,
                      libxerces2-java
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/biojava-live
 Vcs-Git: https://salsa.debian.org/med-team/biojava-live.git
 Homepage: https://www.biojava.org
