## biojava-live 1.9.7+dfsg

=== debian/changelog ===
biojava-live (1:1.9.7+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Removed the -java-doc package
  * Standards-Version updated to 4.7.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 07 Oct 2024 09:59:24 +0200
