=== debian/control ===
--- 
+++ 
@@ -13,10 +13,8 @@
                      libcommons-dbcp-java,
                      libjaxb-api-java,
                      libjgrapht0.8-java,
-                     libjgrapht0.8-java-doc,
-                     libmaven-javadoc-plugin-java,
                      libxerces2-java
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/biojava-live
 Vcs-Git: https://salsa.debian.org/med-team/biojava-live.git
 Homepage: https://www.biojava.org
@@ -27,7 +25,6 @@
 Depends: ${misc:Depends},
          ${maven:Depends}
 Suggests: libbiojava-java,
-          libbiojava-java-doc,
           ${maven:OptionalDepends}
 Conflicts: libbiojava1.7-java
 Replaces: libbiojava1.7-java
@@ -62,18 +59,3 @@
  .
  This is a dependency package which should enable smooth upgrades to new
  versions.
-
-Package: libbiojava-java-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends},
-         ${maven:DocDepends}
-Suggests: libbiojava-java,
-          ${maven:DocOptionalDepends}
-Multi-Arch: foreign
-Description: [Biology] Documentation for BioJava
- BioJava is an open-source project dedicated to providing a Java framework
- for processing biological data.
- .
- This package contains the HTML documentation describing the API of BioJava
- which was generated automatically by JavaDoc.
