=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_installdocs:
	dh_installdocs
	# Deleting calls to urchinTracker to enhance privacy.
	for F in $$(find . -name "*.html"); do \
	        sed -i 's/^<div.*urchinTracker.*div>$$//' $$F; \
	done
